@import url('https://fonts.googleapis.com/css2?family=Jost:wght@400;600;700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Jost', sans-serif;
    line-height: 1.6;
    background-color: #cbb799;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    min-height: 100vh;
}

main.contenido-principal {
    width: 100%;
    max-width: 1000px;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2rem;
    box-sizing: border-box;
    gap: 2rem;
}

.encabezado{ /*background de la pagina principal*/
    background: url(images/Templo.JPG);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 75vh;
    width: 100%;
    position: relative;
    text-align: center;  
}


.navbar{ /*Configuracion para el Menu*/
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
    width: 100%;
    position: sticky;
    top: 0;
    background: transparent;
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(10px);
    z-index: 999;
}

.navbar-container { /*Configuracion para el Menu*/
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 0 2rem;
    max-width: 1600;
}

.navbar-logo{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 2rem;
    font-weight: 600;
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.navbar-container .navbar-menu{
    display: flex;
    text-align: center;
    gap: 1.5rem;
    list-style: none;

}

.navbar-container .navbar-menu li a{
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    text-decoration: none;
    color: black;
    font-size: 1.3;
    padding: 3px 20px;
    border-radius: 20px;
    border: 2px solid transparent;
    transition: all 0.7 ease;
    white-space: nowrap;
}

.navbar-container .navbar-menu li a:hover,
.navbar-container .navbar-menu li a.active{
    color: #162530;
    background: rgba(188, 212, 229, 0.8);
    border: 2px solid #fff;
}

.navbar-toggle{
    display: none;
    background: transparent;
    padding: 10px;
    border: none;
    cursor: pointer;
}

.bar{
    display: block;
    width: 25px;
    height: 3px;
    margin: 5px auto;
    background: black;
    transition: all 0.3s ease-in-out;
}

@media (max-width: 880px){  /*Configuracion para el responsive Style*/

    .navbar { backdrop-filter: none; } 
    .navbar-container .navbar-menu{
        display: none;
        flex-direction: column;
        align-items: flex-start;
        gap: 1.7rem !important;
        position: absolute;
        height: 100vh;
        width: 250px;
        top: 0;
        right: 0;
        padding: 5rem 1.5rem;
        box-shadow: 0 10px 10px rgba(0, 0, 0, 0.5);
        backdrop-filter: blur(10px);
    }

    .navbar-container .navbar-menu.active { display: flex; }

    .navbar-toggle{ /*Barras del menu*/
        display: block;
        z-index: 999;
    }

    /*Animacion de la barra*/
    .navbar-toggle.active .bar:nth-child(2) 
        { opacity: 0; }

    .navbar-toggle.active .bar:nth-child(1){
        transform: translateY(8px) rotate(45deg);
    }

    .navbar-toggle.active .bar:nth-child(3){
        transform: translateY(-8px) rotate(-45deg);
    }

}

@media (max-width: 480px){

    .navbar-container{padding: 0.1rem;}
    .navbar-logo{font-size: 1.7rem;}
    .navbar-container .navbar-menu li a{
        font-size: 1.2rem;
        padding: 3px 15px;
    }
}

.titulo-header {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #162530;
    background: rgba(188, 212, 229, 0.8);
    border: 3px solid #fff;
    border-radius: 20px;
    padding: 1rem 2rem;
    text-align: center;
    max-width: 90%;
    width: fit-content;
}

.citado-biblia {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 1rem;
    gap: 1rem;
}

.citado-biblia img { width: 80px; }

/* responsiva general */
@media (max-width: 768px) {
    .titulo-header {
        font-size: 1rem;
        padding: 1rem;
    }

    .citado-biblia img {
        width: 200px;
        padding: 10px;
        border-radius: 20px;
    }

    main.contenido-principal {
        padding: 1rem;
    }
}

/* ========== PIE DE PÁGINA ========== */
.footer {
    width: 100%;
    background-color: #3d211a;
    color: whitesmoke;
    padding: 1rem 1rem;
    margin-top: 10rem;
    box-shadow: 0 -5px 10px rgba(0, 0, 0, 0.2);
}

.footer-container {
    max-width: 1200px;
    margin: 0 auto;
    text-align: center;
}

.footer-text p {
    margin: 0.3rem 0;
    font-size: 0.85rem;
}

.footer-links {
    margin-top: 1rem;
    display: flex;
    justify-content: center;
    gap: 1.2rem;
    flex-wrap: wrap;
}

.footer-links a {
    color: whitesmoke;
    text-decoration: none;
    font-weight: bold;
    transition: color 0.2s ease-in-out;
}

.footer-links a:hover {
    color: #b38add;
}



.page-wrapper {
    flex: 1;
    display: flex;
    flex-direction: column;
}